<?php
/**********************************************************************

	Released under the terms of the GNU General Public License, GPL,
***********************************************************************/
class dashboard_app extends application
{
	function __construct()
	{
		parent::__construct("DB", _($this->help_context = "&Dashboard")); 

        $this->add_module(_("Views")); 
        
        $this->add_lapp_function(0, _("&Service Complain/ Request List View"),"dashboard/service_complain_list_view.php?", 'SA_JOB_CARDS_VIEW', MENU_TRANSACTION);
        $this->add_lapp_function(0, _("&Job Card List View"),"dashboard/job_orders_view.php?", 'SA_JOB_CARDS_VIEW', MENU_TRANSACTION);
        $this->add_lapp_function(0, _("Job Card &Status View"), "services/inquiry/job_order_status_view.php?Class=3", 'SA_JOB_CARD_STATUS_VIEW', MENU_REPORT);
        $this->add_lapp_function(0, _("Job Card &Cost View"), "services/inquiry/job_order_cost_view.php?Class=3", 'SA_JOB_CARD_COST_VIEW', MENU_REPORT);
        $this->add_lapp_function(0, _("Job Card &Labour Inquiry"), "services/inquiry/job_order_labour_inquiry.php?Class=3", 'SA_JOB_CARD_LABOUR_INQ', MENU_REPORT);

        $this->add_lapp_function(0, _("&Purchasing View"),"dashboard/dashboard_purchasing_view.php?", 'SA_DASHBOARD_PURCHASING_VIEW', MENU_TRANSACTION);
        $this->add_lapp_function(0, _("&Project View"),"dashboard/dashboard_project_view.php?", 'SA_DASHBOARD_PROJECT_VIEW', MENU_TRANSACTION);
        $this->add_lapp_function(0, _("&Utility Expenses View"),"dashboard/dashboard_utility_view.php?", 'SA_DASHBOARD_UTILITY_VIEW', MENU_TRANSACTION);
        $this->add_lapp_function(0, _("&GL View"),"dashboard/dashboard_gl_view.php?", 'SA_DASHBOARD_GL_VIEW', MENU_TRANSACTION);
        
        $this->add_rapp_function(0, _("&Aged Job Cards View"), "dashboard/aged_job_orders_view.php?Class=3", 'SA_JOB_CARDS_VIEW', MENU_REPORT);
        $this->add_rapp_function(0, _("Job Card &Status Summary"), "dashboard/job_order_status_summary.php?Class=3", 'SA_JOB_CARDS_VIEW', MENU_REPORT);
        $this->add_rapp_function(0, _(""),"");
        $this->add_rapp_function(0, _("&Aged Customer Complains/ Requests View"), "dashboard/aged_service_complains_view.php?Class=3", 'SA_SERVICE_COMPLAIN_INQ', MENU_REPORT);
        $this->add_rapp_function(0, _("Customer Complains/ Requests &Status Summary"), "dashboard/service_complain_status_summary.php?Class=3", 'SA_SERVICE_COMPLAIN_INQ', MENU_REPORT);
        
        $this->add_rapp_function(0, _("&Petty Cash View"),"dashboard/dashboard_petty_cash_view.php?", 'SA_DASHBOARD_PETTY_CASH_VIEW', MENU_TRANSACTION);
        $this->add_rapp_function(0, _("&Inventory View"),"dashboard/dashboard_inventory_view.php?", 'SA_DASHBOARD_INVENTORY_VIEW', MENU_TRANSACTION);
        $this->add_rapp_function(0, _("&Transport View"),"dashboard/dashboard_transport_view.php?", 'SA_DASHBOARD_TRANSPORT_VIEW', MENU_TRANSACTION);
        $this->add_rapp_function(0, _("&Assets View"),"dashboard/dashboard_asset_view.php?", 'SA_DASHBOARD_ASSET_VIEW', MENU_TRANSACTION);
        $this->add_rapp_function(0, _("&Department View"),"dashboard/dashboard_department_view.php?", 'SA_DASHBOARD_DEPARTMENT_VIEW', MENU_TRANSACTION);
//        $this->add_lapp_function(0, _("&Petty cash View"),"dashboard/dashboard_petty_cash_view.php?", 'SA_DASHBOARD_PURCHASING_VIEW', MENU_TRANSACTION);

        
//            $this->add_lapp_function(0, _("&Company View"),"dashboard/dashboard_company_view.php?", 'SA_DASHBOARD_COMPANY_VIEW', MENU_TRANSACTION);
//            $this->add_lapp_function(0, _("&Finance View"),"dashboard/dashboard_finance_view.php?", 'SA_DASHBOARD_FINANCE_VIEW', MENU_TRANSACTION);
//            
//            $this->add_rapp_function(0, _("&Payroll View"),"dashboard/dashboard_payroll_view.php?", 'SA_DASHBOARD_PAYROLL_VIEW', MENU_TRANSACTION);
            //            $this->add_rapp_function(0, _("&Sales View"),"dashboard/dashboard_sales_view.php?", 'SA_DASHBOARD_SALES_VIEW', MENU_TRANSACTION);
            
            $this->add_rapp_function(0, _(""),"");
            
            $this->add_rapp_function(0, _("Project Image Gallery"),"dashboard/project_gallery.php", 'SA_PROJECT_GALLERY', MENU_REPORT);
            
           
        $this->add_module(_("Maintenance"));
        
            $this->add_lapp_function(1, _("Upload Project Images"),"dashboard/upload_project_gallery_images.php", 'SA_UPLOAD_PROJECT_IMAGES', MENU_REPORT);
             
            $this->add_rapp_function(1, _("Project Sections"),"dashboard/project_sections.php?", 'SA_PROJECT_SECTIONS', MENU_MAINTENANCE);
//            $this->add_rapp_function(1, _("Calculate Monthly Summaries"),"summary/calculate_monthly_summaries.php?", 'SA_CALCULATE_MONTHLY_SUMMARIES', MENU_MAINTENANCE);


        $this->add_extensions();
    }
}


?>